# PetscGetArchType

Returns a standardized architecture type for the machine that is executing this routine.

### Synopsis

    #include "petsc.h"
    #include "petscsys.h"
    PetscErrorCode  PetscGetArchType(char str[],size_t slen)

Not Collective

### Input Parameter

slen -length of string buffer

### Output Parameter

str -string area to contain architecture name, should be at least 10 characters long. Name is truncated if string is not long enough.

Level:developer
Location: src/sys/utils/arch.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages